# aliro-aqn
This is an api for the Aliro Q.Network

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install aliro-aqn
```

Then import the package:
```python
import aliro_aqn
```
## Getting Started
## Import necessary modules


```python
import aliro_aqn
from aliro_aqn.rest import ApiException
from pprint import pprint
from typing import List
```

## Set up authentication
You can retrieve your API token in your "Account" page at https://aqn.aliro.io/


```python
configuration = aliro_aqn.Configuration()
configuration.api_key['Authorization'] = 'API_TOKEN'
configuration.host = 'https://aqn.aliro.io'
```


## Documentation for API Endpoints

All URIs are relative to *http://localhost:3998/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AuthenticationApi* | [**auth_login_post**](docs/AuthenticationApi.md#auth_login_post) | **POST** /auth/login | login using username and password
*SubmissionsApi* | [**submissions_details_stream_get**](docs/SubmissionsApi.md#submissions_details_stream_get) | **GET** /submissions/details/stream | get details about a submission&#39;s results
*SubmissionsApi* | [**submissions_post**](docs/SubmissionsApi.md#submissions_post) | **POST** /submissions | submit a new submission
*UserApi* | [**user_api_key_post**](docs/UserApi.md#user_api_key_post) | **POST** /user/apiKey | generate Aliro API key for user
*UserApi* | [**user_information_update_post**](docs/UserApi.md#user_information_update_post) | **POST** /user/informationUpdate | update user email and name
*UserApi* | [**user_password_change_post**](docs/UserApi.md#user_password_change_post) | **POST** /user/passwordChange | change user password from known password


## Documentation For Models

 - [ApiKey](docs/ApiKey.md)
 - [ApiKeyResponse](docs/ApiKeyResponse.md)
 - [BasicSuccess](docs/BasicSuccess.md)
 - [ChangePasswordParameters](docs/ChangePasswordParameters.md)
 - [ClassicalChannel](docs/ClassicalChannel.md)
 - [CredentialsBasic](docs/CredentialsBasic.md)
 - [LoginResponse](docs/LoginResponse.md)
 - [Memory](docs/Memory.md)
 - [MemoryBase](docs/MemoryBase.md)
 - [MemoryInput](docs/MemoryInput.md)
 - [MemoryOutput](docs/MemoryOutput.md)
 - [MemoryOutputAllOf](docs/MemoryOutputAllOf.md)
 - [Node](docs/Node.md)
 - [QuantumConnection](docs/QuantumConnection.md)
 - [Request](docs/Request.md)
 - [SubmissionAqn](docs/SubmissionAqn.md)
 - [SubmissionAqnBase](docs/SubmissionAqnBase.md)
 - [SubmissionAqnInput](docs/SubmissionAqnInput.md)
 - [SubmissionAqnOutput](docs/SubmissionAqnOutput.md)
 - [SubmissionAqnOutputAllOf](docs/SubmissionAqnOutputAllOf.md)
 - [UpdateUserInformationParameters](docs/UpdateUserInformationParameters.md)
 - [UserInfo](docs/UserInfo.md)


## Documentation For Authorization


## JwtKeyAuth

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

nick@aliroquantum.com


